Holger's Java API

## com.antelmann
Interface LicenseHandler

All Known Implementing Classes:
  LicenseLoader

    public interface LicenseHandler

can be used to obtain a license from some source if a call to `Settings.checkLicense(Object)` initially fails. This callback handler could be used e.g. to try to renew a license from some well known server once the local license expired. Another alternative would be to open up a dialog where the user can select a file to import a license.

Author:
  Holger Antelmann
See Also:
  `Settings.checkLicense(Object)`, `Settings.setLicenseHandler(LicenseHandler)`, `LicenseManager`, `License`

Method Summary
`void` `acquireLicense(Object licensee, LicensingException le, Component c)` called if the first attempt to call `Settings.checkLicense(Object)` fails internally with a `LicensingException`.

Method Detail

### acquireLicense

    void acquireLicense(Object licensee,
                        LicensingException le,
                        Component c)

  called if the first attempt to call `Settings.checkLicense(Object)` fails internally with a `LicensingException`. The call to `Settings.checkLicense(Object)` can only finish without throwing a SecurityException if this method can successfully install a valid license for the given licensee

  Parameters:
    `licensee` - the object that requested the license
    `le` - the exception that was raised by the LicenseManager
    `c` - the component (which may be null) that can be used to put dialogs on top of it.
  See Also:
    `Settings.checkLicense(Object)`, `Settings.checkLicense(Object, Component)`, `LicenseManager`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads